> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get report calculation query state > Get report calculation query state ## OpenAPI ````json GET /report-query/{reportCorrelationId} { "openapi": "3.0.3", "info": { "title": "Analytics API", "description": "OpenAPI 3.0 Specification of Mapp Intelligence AnalyticsAPI \n\n In order to use these endpoints you must authorize by using a valid OAuth clientID configured in Mapp Intelligence Settings section.", "version": "1.0.0", "contact": { "name": "Technical Support Mapp Digital", "url": "https://mapp.com/tech-support/" } }, "servers": [ { "url": "https://api.mapp.com/api/analytics", "description": "Production" } ], "security": [ { "oauth_security_scheme": [ "mapp.intelligence-api" ] } ], "tags": [ { "name": "Analysis", "description": "Submit analysis and get data" }, { "name": "Available Objects", "description": "Get information about available objects you can use to build Analysis" } ], "paths": { "/report-query/{reportCorrelationId}": { "get": { "tags": [ "Analysis" ], "summary": "Get report calculation query state", "description": "Get report calculation query state", "operationId": "status", "parameters": [ { "name": "reportCorrelationId", "in": "path", "required": "true", "schema": { "type": "string" } } ], "responses": { "403": { "$ref": "#/components/responses/Forbidden" }, "404": { "$ref": "#/components/responses/NotFound" }, "500": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Problem" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Problem" } } } }, "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ReportQueryState" }, "examples": { "Analysis running": { "value": { "reportCorrelationId": "1ea0f0c7-b05e-47e6-8d4f-e78787dfe9ac", "status": "RUNNING", "details": { "lastUpdatedAt": "1727114468280", "reportId": "1006", "reportTitle": "Advertiser Overview" }, "queryStates": [ { "calculationId": "579d66fe984f72f7154c5f48e0d3d65741dac870eb337a0524d4d3db02f119b7_294915650484552", "accountId": "294915650484552", "correlationId": "1ba0f0c7-b05e-47e6-8d4f-e78787dfe9ab", "resultUrl": "https://intelligence.eu.mapp.com/analytics/api/analysis-query/1ba0f0c7-b05e-47e6-8d4f-e78787dfe9ab", "status": "RUNNING", "details": { "lastUpdatedAt": "1727114468280", "reportElementId": "43946" } } ] } }, "Analysis completed": { "value": { "reportCorrelationId": "1ea0f0c7-b05e-47e6-8d4f-e78787dfe9ac", "status": "SUCCESS", "details": { "lastUpdatedAt": "1727114468280", "reportId": "1006", "reportTitle": "Advertiser Overview" }, "queryStates": [ { "calculationId": "579d66fe984f72f7154c5f48e0d3d65741dac870eb337a0524d4d3db02f119b7_294915650484552", "accountId": "294915650484552", "correlationId": "1ba0f0c7-b05e-47e6-8d4f-e78787dfe9ab", "resultUrl": "https://intelligence.eu.mapp.com/analytics/api/analysis-result/579d66fe984f72f7154c5f48e0d3d65741dac870eb337a0524d4d3db02f119b7_294915650484552", "status": "SUCCESS", "details": { "lastUpdatedAt": "1727114468280", "reportElementId": "43946" } } ] } } } } } } } } } }, "components": { "responses": { "Forbidden": { "description": "No permission to execute operation", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Problem" }, "examples": { "AnalysisNotFound": { "summary": "Invalid Token", "value": { "title": "Invalid Token", "status": "403", "detail": "Token not valid", "statusCode": "INVALID_TOKEN" } } } } } }, "NotFound": { "description": "Entity not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Problem" }, "examples": { "AnalysisNotFound": { "summary": "CorrelationId does not exist", "value": { "title": "Analysis not found", "status": "404", "detail": "Analysis not found", "statusCode": "ANALYSIS_NOT_FOUND" } } } } } } }, "schemas": { "Problem": { "type": "object", "properties": { "status": { "type": "integer", "description": "HTTP Status Code" }, "statusCode": { "type": "string", "description": "Specific Mapp Error Code" }, "title": { "type": "string", "description": "Short description of the problem" }, "detail": { "type": "string", "description": "Detailed informations about the problem" }, "errors": { "type": "array", "items": { "$ref": "#/components/schemas/Error" } }, "warnings": { "type": "array", "items": { "$ref": "#/components/schemas/Warning" } } } }, "ReportQueryState": { "type": "object", "properties": { "reportCorrelationId": { "type": "string", "description": "Correlation Id of the report" }, "status": { "type": "string", "description": "Status of the report after complete analysis" }, "details": { "$ref": "#/components/schemas/ReportQueryStateDetails" }, "queryStates": { "type": "array", "description": "List of query state of all caculation queries", "items": { "$ref": "#/components/schemas/QueryState" } } } }, "Error": { "type": "object", "properties": { "name": { "type": "string", "description": "Each error has specific properties described in following table:\n\n| Error| Description | Relevant parameters |\n| ---------------- | ------------| -----------------------------------|\n| UnmappedName | At least one object name cannot be found. | List of objects not found in _names_ array. |\n| PivotIncompatibleMetric | Metric not usable in Pivot detected.| List of incompatible Metrics in _names_ array. |\n| PivotIncompatibleDimension |Dimension not usable in Pivot detected. | List of incompatible Dimensions in _names_ array. |\n| AnalysisLogicalCubeMismatch | All Dimensions and Metrics are not compatible. | List of incompatible objects in _names_ array. |\n| InvalidSortingCriteria | Sorting is applied on a non-sortable object.| List of invalid sorted objects in _names_ array. |\n| TimeFilterMissing | Each query must have a minimum of one Time Filter.| N/A |\n| InvalidSegmentNoneContainer | A segment container has context set to NONE but either its connector is not set to AND or its inOrNotIn property is not set to IN.| N/A |", "enum": [ "UnmappedName", "PivotIncompatibleMetric", "PivotIncompatibleDimension", "AnalysisLogicalCubeMismatch", "InvalidSortingCriteria", "TimeFilterMissing", "InvalidSegmentNoneContainer" ] }, "parameters": { "type": "object", "properties": { "arrangeTypes": { "type": "array", "description": "List of internal object names (dimension, metrics, filter, ...) that corresponds to the error.", "items": { "type": "string" } }, "aliases": { "type": "array", "description": "List of columns aliases that corresponds to the error. See Result Header alias property.", "items": { "type": "string" } }, "names": { "type": "array", "description": "List of object names (dimension, metrics, filter, ...) that corresponds to the error.", "items": { "type": "string" } } } } } }, "Warning": { "type": "object", "properties": { "name": { "type": "string", "description": "Each warnings has specific properties described in following table:\n\n| Warning| Description | Relevant parameters |\n| ---------------- | ------------| -----------------------------------|\n| FilterLogicalCubeMismatch | At least one filter is ignored due to incompatibily with Dimensions and Metrics used. | List of incomptible filter objects in _names_ array. |\n| InvalidMetricContext | Metric used in an invalid context. | List of metric with invalid context in _aliases_ array. |\n| SortingEnforced | Sorting criteria has been added automatically | List of objects that were sorted automatically in _aliases_ array. |\n| NoSortingDefined | Sorting criteria is required for some dimensions. | List of dimensions requiring a sorting in _names_ array. |\n| SortingLimitExceeded | 3 sorting criteria are allowed. All additional sorting criteria have been omitted.| List of columns ignored for sorting in _aliases_ array. |\n| SortingRemoved | A requested sorting criteria has been removed | List of objects that were removed automatically in _aliases_ array. |\n| TodayRemoved | Today date has been removed from calculation time range because the selected datasource does not contain it. | daysInDataSource, todayDate|", "enum": [ "FilterLogicalCubeMismatch", "InvalidMetricContext", "SortingEnforced", "NoSortingDefined", "SortingLimitExceeded", "SortingRemoved", "TodayRemoved" ] }, "parameters": { "type": "object", "properties": { "arrangeTypes": { "type": "array", "description": "List of internal object names (dimension, metrics, filter, ...) that corresponds to the warning.", "items": { "type": "string" } }, "aliases": { "type": "array", "description": "List of columns aliases that corresponds to the error. See Result Header alias property.", "items": { "type": "string" } }, "names": { "type": "array", "description": "List of object names (dimension, metrics, filter, ...) that corresponds to the warning.", "items": { "type": "string" } }, "daysInDataSource": { "type": "string", "description": "Number of days in the datasource which is beeing cut" }, "todayDate": { "type": "string", "description": "Date of the day being cut" } } } } }, "ReportQueryStateDetails": { "type": "object", "properties": { "lastUpdatedAt": { "type": "integer", "description": "Last updated time of report in milliseconds since the UNIX epoch" }, "reportId": { "type": "integer", "description": "Report Unique Id" }, "reportTitle": { "type": "string", "description": "Report Name" } } }, "QueryState": { "title": "QueryState", "type": "object", "properties": { "accountId": { "type": "string", "description": "Id of the account" }, "correlationId": { "type": "string", "description": "ID of the query" }, "calculationId": { "type": "string", "description": "Id of the calculated data" }, "resultUrl": { "type": "string", "description": "Link to get analysis data" }, "status": { "type": "string", "description": "Analysis query state", "enum": [ "SUCCESS", "FAILED", "ABORTED", "RUNNING", "INITIATED" ] }, "details": { "type": "object", "properties": { "lastUpdatedAt": { "type": "integer", "description": "Last update time in milliseconds since the UNIX epoch" }, "reportElementId": { "type": "integer", "description": "ID of the report element" } } } } } }, "securitySchemes": { "oauth_security_scheme": { "type": "oauth2", "flows": { "clientCredentials": { "tokenUrl": "https://auth.mapp.com/oauth2/token" } } } } } } ````